<template>
    <div class="loan-details-data">
            <loan-details-card v-if="$POS.schedule.length"></loan-details-card>
            <loan-details-table v-if="$POS.schedule.length"></loan-details-table>
            <div class="no-active-loans" v-if="!$POS.schedule.length">

                <svg xmlns="http://www.w3.org/2000/svg" width="360" height="360" viewBox="0 0 360 360">
                    <g fill="none" fill-rule="evenodd">
                        <path fill="#51A351" d="M95 17h147c6.627 0 12 5.373 12 12v161H83V29c0-6.627 5.373-12 12-12z" opacity=".296"/>
                        <path fill="#323C47" fill-rule="nonzero" d="M313.333 200H142.667c-14.72.018-26.65 11.946-26.667 26.667v106.666c.018 14.72 11.946 26.65 26.667 26.667h170.666c14.72-.018 26.65-11.946 26.667-26.667V226.667c-.018-14.72-11.946-26.65-26.667-26.667zm16 133.333c0 8.837-7.163 16-16 16H142.667c-8.837 0-16-7.163-16-16V226.667c0-8.837 7.163-16 16-16h170.666c8.837 0 16 7.163 16 16v106.666z"/>
                        <path fill="#323C47" fill-rule="nonzero" d="M158.6 275h31.8c5.854 0 10.6-4.813 10.6-10.75v-21.5c0-5.937-4.746-10.75-10.6-10.75h-31.8c-5.854 0-10.6 4.813-10.6 10.75v21.5c0 5.937 4.746 10.75 10.6 10.75zm0-32.25h31.8v21.5h-31.8v-21.5zM286.472 285a21.388 21.388 0 0 0-13.473 4.805c-8.76-7.118-21.529-6.233-29.226 2.027-7.697 8.26-7.697 21.076 0 29.336 7.697 8.26 20.466 9.145 29.226 2.027a21.447 21.447 0 0 0 25.538 1.127c7.833-5.293 11.29-15.092 8.514-24.137-2.775-9.045-11.13-15.21-20.58-15.185zm-26.838 32.25c-5.929 0-10.735-4.813-10.735-10.75s4.806-10.75 10.735-10.75c5.929 0 10.735 4.813 10.735 10.75s-4.806 10.75-10.735 10.75zm26.838 0a10.566 10.566 0 0 1-6.978-2.612 21.236 21.236 0 0 0 0-16.276 10.555 10.555 0 0 1 6.978-2.612c5.929 0 10.735 4.813 10.735 10.75s-4.806 10.75-10.735 10.75z"/>
                        <rect width="11" height="21" x="297" y="238" fill="#323C47" fill-rule="nonzero" rx="5.333"/>
                        <rect width="11" height="21" x="276" y="238" fill="#323C47" fill-rule="nonzero" rx="5.333"/>
                        <rect width="11" height="21" x="255" y="238" fill="#323C47" fill-rule="nonzero" rx="5.333"/>
                        <rect width="11" height="21" x="233" y="238" fill="#323C47" fill-rule="nonzero" rx="5.333"/>
                        <path fill="#323C47" fill-rule="nonzero" d="M110.525 146.675V136h85.2v10.675a5.325 5.325 0 0 0 10.65 0V136h15.975v48.008a5.325 5.325 0 1 0 10.65 0v-53.341a5.33 5.33 0 0 0-5.325-5.334h-21.3V88c-.03-26.497-21.469-47.97-47.925-48H147.8a47.444 47.444 0 0 0-21.3 5.067A47.444 47.444 0 0 0 105.2 40H94.55c-26.456.03-47.896 21.503-47.925 48v37.333h-21.3A5.33 5.33 0 0 0 20 130.667v224A5.33 5.33 0 0 0 25.325 360h79.867a5.333 5.333 0 0 0 0-10.667H83.9V136h15.975v10.675a5.325 5.325 0 0 0 10.65 0zM126.5 57.408A37.308 37.308 0 0 1 142.475 88v37.333h-31.95V88A37.308 37.308 0 0 1 126.5 57.408zm21.3-6.741h10.65c20.577.023 37.252 16.724 37.275 37.333v37.333h-42.6V88a47.873 47.873 0 0 0-16.05-35.733 37.136 37.136 0 0 1 10.725-1.6zM56.04 319.248a5.508 5.508 0 0 0-8.18 0l-17.21 20.688V145.397l17.21 20.688a5.322 5.322 0 0 0 8.18 0l17.21-20.688v194.539l-17.21-20.688zm11.166 30.085H36.694l15.256-18.336 15.256 18.336zM51.95 154.336L36.694 136h30.512L51.95 154.336zm5.325-29.003V88c.023-20.609 16.698-37.31 37.275-37.333h10.65c3.634.005 7.247.544 10.725 1.6A47.873 47.873 0 0 0 99.875 88v37.333h-42.6z"/>
                        <rect width="11" height="11" x="146" y="315" fill="#323C47" fill-rule="nonzero" rx="4"/>
                        <rect width="11" height="11" x="169" y="315" fill="#323C47" fill-rule="nonzero" rx="4"/>
                        <rect width="11" height="11" x="192" y="315" fill="#323C47" fill-rule="nonzero" rx="4"/>
                        <rect width="57" height="11" x="146" y="292" fill="#323C47" fill-rule="nonzero" rx="4"/>
                        <path fill="#323C47" fill-rule="nonzero" d="M130.5 163a6.503 6.503 0 0 0-6.5 6.5c0 3.588 2.912 6.5 6.5 6.5s6.5-2.912 6.5-6.5-2.912-6.5-6.5-6.5zM183.788 163h-28.576c-3.431 0-6.212 2.91-6.212 6.5s2.78 6.5 6.212 6.5h28.576c3.431 0 6.212-2.91 6.212-6.5s-2.78-6.5-6.212-6.5z"/>
                    </g>
                </svg>

                <div class="limit">
                    <span>Доступный лимит</span>
                    <div class="amount">{{$POS.limit|currency}}  ₽</div>
                </div>
            </div>
        </div>
</template>

<script>
    import LoanDetailsCard from './loan-details-card.vue';
    import LoanDetailsTable from './loan-details-table.vue';
    import {mapGetters} from 'vuex';
	export default {
        name: 'component-pos-loan-detail',
        components: {
        	LoanDetailsTable,
            LoanDetailsCard
        },
        computed: {
        	...mapGetters(['$POS'])
        }
	};
</script>

<style scoped>

</style>
